Debian Bug report logs - #689533
exabgp: modifies conffiles (policy 10.7.3): /etc/exabgp/exabgp.env

version graph

Package: exabgp; Maintainer for exabgp is Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>; Source for exabgp is src:exabgp.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Wed, 3 Oct 2012 18:03:01 UTC

Severity: serious

Found in version exabgp/3.0.10-1

Fixed in version exabgp/3.1.1-1

Done: Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>:
Bug#689533; Package exabgp. (Wed, 03 Oct 2012 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>. (Wed, 03 Oct 2012 18:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: exabgp: modifies conffiles (policy 10.7.3): /etc/exabgp/exabgp.env
Date: Wed, 03 Oct 2012 19:58:51 +0200
[Message part 1 (text/plain, inline)]
Package: exabgp
Version: 3.0.10-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package modifies conffiles.
This is forbidden by the policy, see
http://www.debian.org/doc/debian-policy/ch-files.html#s-config-files

10.7.3: "[...] The easy way to achieve this behavior is to make the
configuration file a conffile. [...] This implies that the default
version will be part of the package distribution, and must not be
modified by the maintainer scripts during installation (or at any
other time)."

Note that once a package ships a modified version of that conffile,
dpkg will prompt the user for an action how to handle the upgrade of
this modified conffile (that was not modified by the user).

Further in 10.7.3: "[...] must not ask unnecessary questions
(particularly during upgrades) [...]"

If a configuration file is customized by a maintainer script after
having asked some debconf questions, it may not be marked as a
conffile. Instead a template could be installed in /usr/share and used
by the postinst script to fill in the custom values and create (or
update) the configuration file (preserving any user modifications!).
This file must be removed during postrm purge.
ucf(1) may help with these tasks.
See also http://wiki.debian.org/DpkgConffileHandling

In https://lists.debian.org/debian-devel/2012/09/msg00412.html and
followups it has been agreed that these bugs are to be filed with
severity serious.

debsums reports modification of the following files,
from the attached log (scroll to the bottom...):

  /etc/exabgp/exabgp.env


cheers,

Andreas
[exabgp_3.0.10-1.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>:
Bug#689533; Package exabgp. (Sun, 04 Nov 2012 19:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Federico Ceratto <federico.ceratto@gmail.com>:
Extra info received and forwarded to list. Copy sent to Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>. (Sun, 04 Nov 2012 19:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 689533@bugs.debian.org (full text, mbox):

From: Federico Ceratto <federico.ceratto@gmail.com>
To: 689533@bugs.debian.org
Subject: exabgp: modifies conffiles (policy 10.7.3): /etc/exabgp/exabgp.env
Date: Sun, 4 Nov 2012 19:47:26 +0000
[Message part 1 (text/plain, inline)]
Tag: patch

Hello,
A patch for this bug is attached. I moved the /etc/exabgp/exabgp.env file
creation to ucf
to allow exabgp to generate the file dynamically.

Bye,
-- 
Federico
[Message part 2 (text/html, inline)]
[689533.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#689533; Package exabgp. (Mon, 12 Nov 2012 17:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>:
Extra info received and forwarded to list. (Mon, 12 Nov 2012 17:36:03 GMT) Full text and rfc822 format available.

Message #15 received at 689533@bugs.debian.org (full text, mbox):

From: Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>
To: Federico Ceratto <federico.ceratto@gmail.com>, 689533@bugs.debian.org
Subject: Re: Bug#689533: exabgp: modifies conffiles (policy 10.7.3): /etc/exabgp/exabgp.env
Date: Mon, 12 Nov 2012 18:32:54 +0100
Thanks a lot for the patch, I did add it to the next ExaBGP version.

Kind regards,

Henry-Nicolas Tourneur

Le dimanche 04 novembre 2012 à 19:47 +0000, Federico Ceratto a écrit :
> Tag: patch
> 
> Hello,
> A patch for this bug is attached. I moved the /etc/exabgp/exabgp.env
> file creation to ucf
> to allow exabgp to generate the file dynamically.
> 
> Bye,
> -- 
> Federico





Reply sent to Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>:
You have taken responsibility. (Tue, 08 Jan 2013 07:36:05 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Tue, 08 Jan 2013 07:36:05 GMT) Full text and rfc822 format available.

Message #20 received at 689533-close@bugs.debian.org (full text, mbox):

From: Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>
To: 689533-close@bugs.debian.org
Subject: Bug#689533: fixed in exabgp 3.1.1-1
Date: Tue, 08 Jan 2013 07:32:30 +0000
Source: exabgp
Source-Version: 3.1.1-1

We believe that the bug you reported is fixed in the latest version of
exabgp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689533@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Henry-Nicolas Tourneur <henry.nicolas@tourneur.be> (supplier of updated exabgp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 02 Jan 2013 11:42:00 +0000
Source: exabgp
Binary: exabgp
Architecture: source all
Version: 3.1.1-1
Distribution: unstable
Urgency: low
Maintainer: Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>
Changed-By: Henry-Nicolas Tourneur <henry.nicolas@tourneur.be>
Description: 
 exabgp     - BGP route injector
Closes: 687134 689533 693338 697178
Changes: 
 exabgp (3.1.1-1) unstable; urgency=low
 .
   * New upstream release
   * Closes: #687134 debconf abuse, notice of software behavior take places under
     NEWS.Debian, not in a debconf screen, information moved accordingly.
   * Closes: #693338 Japanese translation removed since debconf template is out.
   * Closes: #697178 Russian translation removed since debconf template is out.
   * Closes: #689533 UCF-based conf added.
     No more manual changes to exabgp.env, thanks to Federico Ceratto.
Checksums-Sha1: 
 045769a7d88b0c0ae26cd32561c042bea25f6c89 1672 exabgp_3.1.1-1.dsc
 157c7394ac9b5170ecc4f4609d1473ada9131cff 335407 exabgp_3.1.1.orig.tar.gz
 a0fddd5458378c1bf3c10dd2f5c060d1347741ed 20 exabgp_3.1.1-1.diff.gz
 978a01899b43b17ad862e9773d8105ef056fc43c 141352 exabgp_3.1.1-1_all.deb
Checksums-Sha256: 
 040d6ef46298410f6e90bad7a88e7a7f5d725a73f16ba5d5c1a1204f7ae8175f 1672 exabgp_3.1.1-1.dsc
 dde1eb503df9d4e9f96d5dfd83ab53cd95416fdd68c66288e045e6d118029911 335407 exabgp_3.1.1.orig.tar.gz
 f61f27bd17de546264aa58f40f3aafaac7021e0ef69c17f6b1b4cd7664a037ec 20 exabgp_3.1.1-1.diff.gz
 95f60d512fba654cff05d3854c58ed2b66b6c3777556aea29c5df613cf05799a 141352 exabgp_3.1.1-1_all.deb
Files: 
 5e5482868ea81e8c19d9bfc61ab0be55 1672 net optional exabgp_3.1.1-1.dsc
 f336bd79df4e0857ed9d9c00ca94516c 335407 net optional exabgp_3.1.1.orig.tar.gz
 4a4dd3598707603b3f76a2378a4504aa 20 net optional exabgp_3.1.1-1.diff.gz
 02313ba8accf4a1c51828e34a357fc15 141352 net optional exabgp_3.1.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUOvKmYcvcCxNbiWoAQI3iQ/8C9H+ULvy5dvMR89P0rS4Qi6O58atpIOJ
6mzTRKUHRNLrEFJSUc7IlZ6XrxrfHkx3d0/DurXUtb6v6ZD3gn80SrAcS1IEn9ev
wdcyzfnie/Qv4mxn44/7Wb6PfdGzx7TgKT/6Bd5pfgauWW7pAam4hVzyi0za56ec
641Ayvi0tP4DRTHKj4po8Dzkm87dgf35ZSzNXvTKVopfsAkTD/OMu2cWB75wAgWA
aTv2od3uen99vgacB2h1ETFBEuFfyvhTJt9syjz8GHPGi2Hp5i1j5//b3xI4XkcK
Qp/ghBpwID1S2wtHBIoywr0kReoGi3NFzHVu50xuQiNb469J/MZjcomCCfzpIg4h
CIV57Lnc3if/wziy516aKk+92hrm4fbEAmLO2pbvJc7wKaS6GPI8c61qQQrhc+gJ
UExc0xymw/OBRNFXJfkRWfE8AwNrrYUaP6LwHBlZQi32/HlaciquZjwS+pDzLqRO
wWlVZHxL+JEcgvcLsqQL8MuZdZR4qEW+wuEAJ+uhjmMdbwPwDngiCiSJWFpGK32Q
0P0+lG+vAgDXG4VFM7Vm2KrkG5AH7rn7Zf6K3j7czvn0daYjLucxPukUmbpbld5Y
8YLavWH6/qpPY3OOArCig7kqV9i78g3nf3yVMdKoCMiKAL0ksAlduPs6WytUJJty
+ju0rgo6Mh0=
=7OAD
-----END PGP SIGNATURE-----




Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:31:01 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Feb 2013 07:26:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:36:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.